Subject: Re: message about ACLOCAL_AMFLAGS

From: Vincent Lefevre <[email-masked]>
Date: Thu, 27 Sep 2018 19:00:06 +0200

On 2015-04-24 11:15:12 +0200, Vincent Lefevre wrote:
> With libtool 2.4.2 (but 2.4.6 seems to behave in the same way
> according to the source), after removing a ACLOCAL_AMFLAGS line
> in Makefile.am of some software, I get:
> 
> [...]
> autoreconf: running: libtoolize --copy --force
> libtoolize: putting auxiliary files in `.'.
> libtoolize: copying file `./ltmain.sh'
> libtoolize: putting macros in AC_CONFIG_MACRO_DIR, `m4'.
> libtoolize: copying file `m4/libtool.m4'
> libtoolize: copying file `m4/ltoptions.m4'
> libtoolize: copying file `m4/ltsugar.m4'
> libtoolize: copying file `m4/ltversion.m4'
> libtoolize: copying file `m4/lt~obsolete.m4'
> libtoolize: Consider adding `-I m4' to ACLOCAL_AMFLAGS in Makefile.am.
> [...]
> 
> See the last line, about ACLOCAL_AMFLAGS.
> 
> However the Automake NEWS file says:
> 
>   - The ACLOCAL_AMFLAGS special make variable will be fully deprecated in
>     Automake 2.0: it will raise warnings in the "obsolete" category (but
>     still no hard error of course, for compatibilities with the many, many
>     packages that still relies on that variable).  You are advised to
>     start relying on the new Automake support for AC_CONFIG_MACRO_DIRS
>     instead (which was introduced in Automake 1.13).
> 
> meaning that ACLOCAL_AMFLAGS should no longer be used and
> AC_CONFIG_MACRO_DIRS should be used instead, which is currently done
> and taken into account, as seen above.

This seems to be fixed with the libtool 2.4.6-4 Debian package
(and this doesn't seem to be due to a Debian patch)... or perhaps
the incorrect message was due to some old thing in some file (or
some other obscure reason): I no longer get the

  libtoolize: Consider adding `-I m4' to ACLOCAL_AMFLAGS in Makefile.am.

message. And if I remove AC_CONFIG_MACRO_DIR([m4]) from configure.ac,
I get a correct message:

  libtoolize: Consider adding 'AC_CONFIG_MACRO_DIRS([m4])' to configure.ac,
  libtoolize: and rerunning libtoolize and aclocal.

Anyway, since I cannot reproduce the bug, I'm closing it.

-- 
Vincent Lefèvre <[email-masked]> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)